Author Topic: New SqueezeCenter is out!!  (Read 1500 times)

felpouse

  • Veteran
  • ***
  • Posts: 99
    • View Profile
New SqueezeCenter is out!!
« on: September 29, 2009, 07:23:42 pm »
Hi everybody,

as from the subject the new major version of SqueezeCenter 7.4 is out from now.

But the problem is that the project changed another time the name, actually is " squeezeboxserver " .

And obviously we had the same problem with the pluto-slim-server-streamer package that belongs to when we had to upgrade from SlimServer to SqueezeCenter.

If I do an aptitude update and aptitude dist-upgrade nothing is necessary to upgrade.
But if I do an apt-get install squeezeboxserver, I receive this :
Code: [Select]
dcerouter_1001378:~# apt-get install squeezeboxserver
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  pluto-slim-server-streamer squeezecenter
The following NEW packages will be installed:
  squeezeboxserver
0 upgraded, 1 newly installed, 2 to remove and 0 not upgraded.
Need to get 26.9MB of archives.
After this operation, 9671kB disk space will be freed.
Do you want to continue [Y/n]?
It's possible to make some changes or similar to manage this dep ?

Best regards

Luke

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5501
  • DOES work for LinuxMCE.
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #1 on: September 30, 2009, 12:40:16 am »
we'll change the dependencies after the 0810 release. This is done in the web admin by modifying the package data.

-Thom

felpouse

  • Veteran
  • ***
  • Posts: 99
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #2 on: September 30, 2009, 01:42:11 pm »
Hi Thom,

thanks for your reply. For me there's no problem to wait.
Actually I've checked what you suggest, instead of this I've created a new package for the new slimserver software with the new name. Before doing this I've controlled all the other packages related to pluto-slim-server-streamer package.
But if I try to upgrade or install the new software package the dependence is still present.
Actually I followed the same procedure that caiman suggested on this post http://forum.linuxmce.org/index.php?topic=6137.0 and all seems to be perfect and working.

If I remember correct, Zaerc repackaged and create a new one pluto-slim-server-streamer release.

Then for me it's embedded on the dependencies of the package.

Could you please give me some other information about the webadmin packages or if are present links on the wiki pages for study the question ? And put other correction if are necessary ?

Best regards

Luke

felpouse

  • Veteran
  • ***
  • Posts: 99
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #3 on: October 01, 2009, 03:07:28 pm »
Hi all,

I would like to thank you someone, because today I saw that is present a new package related to slim server streamer:

Code: [Select]
        pluto-slim-server-streamer                 2.0.0.44.09093022343

Actually I don't have the dependences problem.

There is only necessary to modify the /usr/pluto/bin/LaunchSlimServer.sh in this way :

Code: [Select]
#!/bin/bash

Params=("$@")
for ((i = 0; i < ${#Params[@]}; i++)); do
        case "${Params[$i]}" in
        -d) ((i++)); DeviceID="${Params[$i]}" ;;
        esac
done
                               

PORT="9090"
PARAMS="--cliport $PORT --audiodir /home/public/data/audio"

sed -ri "s,SLIMOPTIONS=.*,SLIMOPTIONS=\"$PARAMS\",g" /etc/default/squeezeboxserver

invoke-rc.d squeezeboxserver restart

./Slim_Server_Streamer -d $DeviceID

But I think this last modification can still remain like before until the package deps in the webadmin will be modified and updated. As Thom said before in this post.

Best regards

Luke

rocketlynx

  • Veteran
  • ***
  • Posts: 136
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #4 on: October 02, 2009, 09:29:11 pm »
What are the steps to get SqueezeSlave working again on LinuxMCE 810-Alpha2.36 Core?

I had a SqueezeSlave on the Core working to a second PCI Sound Board but that has a problem now that SqueezeCenter is squeezeboxserver.  I can't seem to get slimserver to run and hence, no SqueezeSlave.

I've modified the LaunchSlimServer.sh as the post stated, did a "sudo apt-get install squeezeboxserver" successfully,because it wasn't there and still have no slimserver or squeezebox or no good results.

How do you get around the dependency of slimserver on squeezecenter when it's been renamed/replaced?

If anyone can please help, I'd appreciate it greatly.

Regards,
Charles
« Last Edit: October 03, 2009, 09:29:35 am by rocketlynx »

rocketlynx

  • Veteran
  • ***
  • Posts: 136
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #5 on: October 05, 2009, 01:02:33 am »
I was wondering if anyone has any of these answers?
What are the steps to get SqueezeSlave working again on LinuxMCE 810-Alpha2.36 Core?

I had a SqueezeSlave on the Core working to a second PCI Sound Board but that has a problem now that SqueezeCenter is squeezeboxserver.  I can't seem to get slimserver to run and hence, no SqueezeSlave.

I've modified the LaunchSlimServer.sh as the post stated, did a "sudo apt-get install squeezeboxserver" successfully,because it wasn't there and still have no slimserver or squeezebox or no good results.

How do you get around the dependency of slimserver on squeezecenter when it's been renamed/replaced?

If anyone can please help, I'd appreciate it greatly.

Regards,
Charles


felpouse

  • Veteran
  • ***
  • Posts: 99
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #6 on: October 05, 2009, 09:47:30 am »
Hi Charles,

sorry for the delay. When I 've installed the squeezebox server the pluto-slim-server-streamer and the squeezecenter were removed.

Then I've reinstalled the pluto-slim-server-streamer with this procedure :
Code: [Select]
dpkg -i --ignore-depends=squeezecenter pluto-slim-server-streamer_2.0.0.44.09072122164_i386.deb

The problem was that the pluto-slim-server-streamer still had the dependes to squeezecenter, and when you try to do aptitude update and aptitude dist-upgrade you receive some errors for the deps ....

But actually there is a new package as I wrote that resolve the deps problem the version could be :

Code: [Select]
                pluto-slim-server-streamer                 2.0.0.44.09093022343

Then you can configure the squeezebox server like the squeezecenter using the HTTP web interface.
Thats all

Best regards

Luke

rocketlynx

  • Veteran
  • ***
  • Posts: 136
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #7 on: October 05, 2009, 05:42:56 pm »
Luke, thanks so much for the reply.  I'll try that this evening after work. 

I had the squeezeslave on my core working again with squeezeboxserver and I could feed it internet radio stations and address it anywhere from "http://dcerouter:9000", but I never could get pluto-slim-server-streamer back on the core running again since the change because of it's dependency on the old squeezecenter.

Is this new package that you wrote online:
Code: [Select]
pluto-slim-server-streamer                 2.0.0.44.09093022343
, or only on your own private development server?

Charles

felpouse

  • Veteran
  • ***
  • Posts: 99
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #8 on: October 05, 2009, 06:16:28 pm »
Hi Charles,

the package that is referenced is present on the standard server that we use to install the linuxmce system from scratch with the installer. As you can see :
Code: [Select]
http://deb.linuxmce.org/ubuntu/dists/intrepid/lmce-alpha-latest-updates/binary-i386/pluto-slim-server-streamer_2.0.0.44.09093022343_i386.deb

The package is completely public. There is also a reference on the svn server about the last modification on the script to lauch the correct service for the squeezebox server.

Then if you are still missing only this package you can install it from CLI via apt-get install or download and install it again.

I had do it and no problems from there

Hoping that this would help you  :)

Regards

Luke

rocketlynx

  • Veteran
  • ***
  • Posts: 136
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #9 on: October 05, 2009, 06:44:28 pm »
Great, thanks again Luke for the quick responce.  I'll be fixing that today.

Best Regards,
Charles

felpouse

  • Veteran
  • ***
  • Posts: 99
    • View Profile
Re: New SqueezeCenter is out!!
« Reply #10 on: October 05, 2009, 08:46:01 pm »
No problem, please let me know if all will be fixed.

Regards,

Luke